Rem CREATE SCRIPT: Suspend.sql
Rem
Rem This script Suspends (Quiesces) master activity and run 
Rem at MASTER DEFINITION SITE ONLY.

connect repadmin/repadmin@&1
set serveroutput on
declare recsout binary_integer;
BEGIN
   DBMS_REPCAT.SUSPEND_MASTER_ACTIVITY(gname=>'LDAP_REP');
   DBMS_REPCAT.WAIT_MASTER_LOG(gname=> 'LDAP_REP',
			       record_count => 0,
			       timeout => 3600,  /* 1 hour */
			       true_count => recsout);
   if recsout > 0 then
	dbms_output.put_line('Suspend did not complete even after 1 hour! - check dba_repcatlog!');
   end if;
END;
/
exit;
